image

Что-то не хочет rails server запускать приложение, хотя без ошибок создало его.

Ошибка:
Could not find gem ‘mysql2 (>= 0) ruby’ in the gems available on this machine.
Try running `bundle install`.

Помогите. Спасибо.

Tagged with →  

30 Responses to не хочет rails server запускать приложение

  1. AhsEkb:

    Google и yandex не помог.

  2. Redwhite:

    mysql2 не установлен

  3. Redwhite:

    ну, соответственно, bundle install должен помочь.

  4. Orkblack:

    ты очень очень плохо искал

    gem install mysql2

    или

    bundle install

  5. AhsEkb:

    ошибка

    sudo bundle install

    Fetching gem metadata from http://rubygems.org/
    Bundler could not find compatible versions for gem «bundler»:
    In Gemfile:
    rails (= 3.0.0) ruby depends on
    bundler (~> 1.0.0) ruby

    Current Bundler version:
    bundler (1.1.3)

    This Gemfile requires a different version of Bundler.
    Perhaps you need to update Bundler by running `gem install bundler`?

  6. AhsEkb:

    ошибка

    sudo bundle install

    Fetching gem metadata from http://rubygems.org/
    Bundler could not find compatible versions for gem «bundler»:
    In Gemfile:
    rails (= 3.0.0) ruby depends on
    bundler (~> 1.0.0) ruby

    Current Bundler version:
    bundler (1.1.3)

    This Gemfile requires a different version of Bundler.
    Perhaps you need to update Bundler by running `gem install bundler`?

  7. AhsEkb:

    sudo gem install bundler

    Successfully installed bundler-1.1.3
    1 gem installed
    Installing ri documentation for bundler-1.1.3…
    Installing RDoc documentation for bundler-1.1.3…

    но результата 0.

  8. Redwhite:

    без sudo

  9. AhsEkb:

    ERROR: While executing gem … (Gem::FilePermissionError)
    You don’t have write permissions into the /usr/lib/ruby/gems/1.8 directory.

  10. DniMsk:

    http://gembundler.com/rationale.html

    у тебя в гемфайле указана не та версия бандлера, который установлен

    sudo bundle update, если не сработает — снести/отредактировать Gemfile

  11. Xuawhite:

    gem install bundler -v=1.0.0

  12. AhsEkb:

    при

    bundle install вылазит

    An error occured while installing nokogiri (1.4.7), and Bundler cannot continue.
    Make sure that `gem install nokogiri -v ‘1.4.7’` succeeds before bundling.

    установил nokogiri ничего не изменилось, что это может быть?

  13. Redwhite:

    в гемфайле что указано?

  14. AhsEkb:

    source «http://rubygems.org«

    gem «rails», «3.0.0.rc»
    gem «rack-cache»
    gem «nokogiri», «~> 1.4.2»

  15. DniMsk:

    чо в логах?

  16. XinMilk:

    покажи мне свой Gemfile и я скажу кто ты!

  17. AhsEkb:

    source «http://rubygems.org«

    gem «rails», «3.0.0.rc»
    gem «rack–cache»
    gem «nokogiri», «~> 1.4.2»

  18. AhsEkb:

    Закрыл nokogiri и заработало

    #gem «nokogiri», «~> 1.4.2»

  19. LeeRU:

    Rails 3.0.0.rc зачем нужна старая, заброшеная rc 3.0.0.
    Укажи хотя бы gem «rails», «3.0.0», или лучше «3.0.12»,
    а еще лучше используй Rails 3.2

  20. AhsEkb:

    Всё запустилось, но после настройки роутера показывают ошибку:

    TypeError

    can’t convert Fixnum into String

    Вроде делал по примеру, а тут замок 🙁 Кто подскажет?

  21. Redwhite:

    ошибка где-то в контроллере скорее всего. Больше-больше подробностей и не упускай ни какие грязные детали 🙂

  22. AhsEkb:

    шаблон и контроллер пустой, вот в чем проблема, нету даже вывода никакого 🙂

  23. AhsEkb:

    кто подскажет, где ошибка?

  24. DpYPhone:

    медиум или телепат. Логи или exception с backtrace в студию!

  25. AhsEkb:

    Started GET «/» for 127.0.0.1 at Mon Mar 26 22:43:39 +0300 2012

    TypeError (can’t convert Fixnum into String):
    mysql2 (0.3.11) lib/mysql2/client.rb:44:in `connect’
    mysql2 (0.3.11) lib/mysql2/client.rb:44:in `initialize’
    activerecord (3.2.2) lib/active_record/connection_adapters/my sql2_adapter.rb:16:in `new’
    activerecord (3.2.2) lib/active_record/connection_adapters/my sql2_adapter.rb:16:in `mysql2_connection’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:277:in `send’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:277:in `new_connection’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:287:in `checkout_new_connection’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:235:in `checkout’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:230:in `loop’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:230:in `checkout’
    /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:229:in `checkout’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:95:in `connection’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:374:in `retrieve_connection’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_specification.rb:168:i n `retrieve_connection’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_specification.rb:142:i n `connection’
    activerecord (3.2.2) lib/active_record/query_cache.rb:67:in `call’
    activerecord (3.2.2) lib/active_record/connection_adapters/ab stract/connection_pool.rb:443:in `call’
    actionpack (3.2.2) lib/action_dispatch/middleware/callbacks.rb:28:in `call’
    activesupport (3.2.2) lib/active_support/callbacks.rb:405:in `_run__397314981__call__4__callbacks’
    activesupport (3.2.2) lib/active_support/callbacks.rb:405:in `send’
    activesupport (3.2.2) lib/active_support/callbacks.rb:405:in `__run_callback’
    activesupport (3.2.2) lib/active_support/callbacks.rb:385:in `_run_call_callbacks’
    activesupport (3.2.2) lib/active_support/callbacks.rb:81:in `send’
    activesupport (3.2.2) lib/active_support/callbacks.rb:81:in `run_callbacks’
    actionpack (3.2.2) lib/action_dispatch/middleware/callbacks.rb:27:in `call’
    actionpack (3.2.2) lib/action_dispatch/middleware/reloader. rb:65:in `call’
    actionpack (3.2.2) lib/action_dispatch/middleware/remote_ip.rb:31:in `call’
    actionpack (3.2.2) lib/action_dispatch/middleware/debug_exc eptions.rb:16:in `call’
    actionpack (3.2.2) lib/action_dispatch/middleware/show_exce ptions.rb:56:in `call’
    railties (3.2.2) lib/rails/rack/logger.rb:26:in `call_app’
    railties (3.2.2) lib/rails/rack/logger.rb:16:in `call’
    actionpack (3.2.2) lib/action_dispatch/middleware/request_i d.rb:22:in `call’
    rack (1.4.1) lib/rack/methodoverride.rb:21:in `call’
    rack (1.4.1) lib/rack/runtime.rb:17:in `call’
    activesupport (3.2.2) lib/active_support/cache/strategy/local_ cache.rb:72:in `call’
    rack (1.4.1) lib/rack/lock.rb:15:in `call’
    actionpack (3.2.2) lib/action_dispatch/middleware/static.rb :61:in `call’
    railties (3.2.2) lib/rails/engine.rb:479:in `call’
    railties (3.2.2) lib/rails/application.rb:220:in `call’
    rack (1.4.1) lib/rack/content_length.rb:14:in `call’
    railties (3.2.2) lib/rails/rack/log_tailer.rb:14:in `call’
    rack (1.4.1) lib/rack/handler/webrick.rb:59:in `service’
    /usr/lib/ruby/1.8/webrick/httpserver.rb: 104:in `service’
    /usr/lib/ruby/1.8/webrick/httpserver.rb: 65:in `run’
    /usr/lib/ruby/1.8/webrick/server.rb:173: in `start_thread’
    /usr/lib/ruby/1.8/webrick/server.rb:162: in `start’
    /usr/lib/ruby/1.8/webrick/server.rb:162: in `start_thread’
    /usr/lib/ruby/1.8/webrick/server.rb:95:i n `start’
    /usr/lib/ruby/1.8/webrick/server.rb:92:i n `each’
    /usr/lib/ruby/1.8/webrick/server.rb:92:i n `start’
    /usr/lib/ruby/1.8/webrick/server.rb:23:i n `start’
    /usr/lib/ruby/1.8/webrick/server.rb:82:i n `start’
    rack (1.4.1) lib/rack/handler/webrick.rb:13:in `run’
    rack (1.4.1) lib/rack/server.rb:265:in `start’
    railties (3.2.2) lib/rails/commands/server.rb:70:in `start’
    railties (3.2.2) lib/rails/commands.rb:55
    railties (3.2.2) lib/rails/commands.rb:50:in `tap’
    railties (3.2.2) lib/rails/commands.rb:50
    script/rails:6:in `require’
    script/rails:6

    Rendered /usr/lib/ruby/gems/1.8/gems/actionpack-3.2.2/lib/action_dispatch/middleware/tem plates/rescues/_trace.erb (1.5ms)
    Rendered /usr/lib/ruby/gems/1.8/gems/actionpack-3.2.2/lib/action_dispatch/middleware/tem plates/rescues/_request_and_response.erb (4.2ms)
    Rendered /usr/lib/ruby/gems/1.8/gems/actionpack-3.2.2/lib/action_dispatch/middleware/tem plates/rescues/diagnostics.erb within rescues/layout (18.4ms)

  26. AhsEkb:

    Controller и view пустые, роутер настроен правильно.

  27. DpYPhone:

    Покажи ка свой database.yml. Сдается мне что там пароль 123 или что-то похожее. Если так — сделай его строкой, т.е. password: «123» вместо password: 123

  28. AhsEkb:

    Работает, цёмки!

  29. XinMilk:

    Я хочу посоветовать прочитать один небольшой сайт, он очень сильно помогает:
    http://guides.rubyonrails.org/
    и другой хороший сайт с няшным поиском http://api.rubyonrails.org/

    обязательно прочитай гайд, полностью, там нет ничего лишнего.

  30. AhsEkb:

    спасибо, начал читать

Добавить комментарий